Get all charges
Charges
Get all charges
Returns a paginated list of charges filtered by the provided criteria.
GET
Get all charges
Authorizations
HTTP Basic authentication. Use your secret key as the username and an empty string as password. The API key should be base64 encoded in the format 'username:' when sending the Authorization header.
Query Parameters
Page number (starts at 1)
Example:
1
Number of items per page
Example:
20
Order results by fields (comma-separated). Prefix with - for descending order.
Example:
"createdAt,-amount"
Filter charges by status
Available options:
paid, pending, refused, failed, refunded, in_analysis, authentication_required Example:
"paid"
Filter charges by merchant ID
Example:
"2vorkDcXyvzifL63YX09S9VqcnI"
Response
Successfully retrieved the list of charges